* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  background-color: #f4f4f4;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
  width: 100%;
  flex-direction: column;
}

/* Add a black background color to the top navigation */
.topnav {
  background-color: #333;
  overflow: hidden;
}

/* Style the links inside the navigation bar */
.topnav a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

/* Change the color of links on hover */
.topnav a:hover {
  background-color: #ddd;
  color: black;
}

/* Add a color to the active/current link */
.topnav a.active {
  background-color: #04AA6D;
  color: white;
}

.container {
  flex-direction: column;
  width: 100%;
  margin: 0 auto;
  height: 100vh;
  align-items: center;
  justify-content: center;
  text-align: center;
  display : none;
}

.login-container{
  flex-direction: column;
  width: 100%;
  margin: 0 auto;
  height: 100vh;
  align-items: center;
  justify-content: center;
  text-align: center;
  display : block;
}

canvas {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 80%;
  height: 400px;
  max-width: 800px;
  max-height: 400px;
}

.controls {
  margin-top: 40px;
}

/* CSS */
.btn1 {
  align-items: center;
  background-clip: padding-box;
  background-color: #429646;
  border: 1px solid transparent;
  border-radius: .25rem;
  box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-flex;
  font-family: system-ui,-apple-system,system-ui,"Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 16px;
  font-weight: 600;
  justify-content: center;
  line-height: 1.25;
  margin: 0;
  min-height: 3rem;
  padding: calc(.875rem - 1px) calc(1.5rem - 1px);
  position: relative;
  text-decoration: none;
  transition: all 250ms;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: baseline;
  width: auto;
}

.btn1:hover,
.btn1:focus {
  background-color: #4CAF50;
  box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
}

.btn1:hover {
  transform: translateY(-1px);
}

.btn1:active {
  background-color: #429646;
  box-shadow: rgba(0, 0, 0, .06) 0 2px 4px;
  transform: translateY(0);
}

button {
  padding: 10px 20px;
  background-color: #4CAF50;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  margin-right: 1cm;
}

button:hover {
  background-color: #45a049;
}

input[type="range"] {
  margin-left: 10px;
}

#speedValue {
  margin-left: 10px;
  font-weight: bold;
}

.footer{
  background:#000;
  padding:30px 0px;
  font-family: 'Play', sans-serif;
  text-align:center;
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
}

.footer .row{
  width:100%;
  margin:1% 0%;
  padding:0.6% 0%;
  color:gray;
  font-size:0.8em;
}

.footer .row a{
  text-decoration:none;
  color:gray;
  transition:0.5s;
}

.footer .row a:hover{
  color:#fff;
}

.footer .row ul{
  width:100%;
}

.footer .row ul li{
  display:inline-block;
  margin:0px 30px;
}

.footer .row a i{
  font-size:2em;
  margin:0% 1%;
}
